GDCM: gdcm::ExplicitDataElement Class Reference

GDCM 3.2.6

Public Member Functions | List of all members
gdcm::ExplicitDataElement Class Reference

Class to read/write a DataElement as Explicit Data Element. More...

`#include <gdcmExplicitDataElement.h>`

Inheritance diagram for gdcm::ExplicitDataElement:
[legend]
Collaboration diagram for gdcm::ExplicitDataElement:
[legend]

## Public Member Functions
VL | GetLength () const
template<typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TSwap>
std::istream & | ReadPreValue (std::istream &is)
template<typename TSwap>
std::istream & | ReadValue (std::istream &is, bool readvalues=true)
template<typename TSwap>
std::istream & | ReadWithLength (std::istream &is, VL &length)
template<typename TSwap>
const std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::DataElement
| DataElement (const DataElement &_val)
| DataElement (const Tag &t=Tag(0), const VL &vl=0, const VR &vr=VR::INVALID)
void | Clear ()
| Clear Data Element (make Value empty and invalidate Tag + VR).
void | Empty ()
| Make Data Element empty (no Value).
const ByteValue * | GetByteValue () const
template<typename TDE>
VL | GetLength () const
SequenceOfFragments * | GetSequenceOfFragments ()
const SequenceOfFragments * | GetSequenceOfFragments () const
Tag & | GetTag ()
const Tag & | GetTag () const
| Get Tag.
Value & | GetValue ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
SmartPointer< SequenceOfItems > | GetValueAsSQ () const
VL & | GetVL ()
const VL & | GetVL () const
| Get VL.
VR const & | GetVR () const
bool | IsEmpty () const
| Check if Data Element is empty.
bool | IsUndefinedLength () const
| return if Value Length if of undefined length
bool | operator< (const DataElement &de) const
DataElement & | operator= (const DataElement &)=default
bool | operator== (const DataElement &de) const
template<typename TDE, typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TDE, typename TSwap>
std::istream & | ReadOrSkip (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadPreValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadValueWithLength (std::istream &is, VL &length, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadWithLength (std::istream &is, VL &length)
void | SetByteValue (const char *array, VL length)
void | SetTag (const Tag &t)
void | SetValue (Value const &vl)
void | SetVL (const VL &vl)
void | SetVLToUndefined ()
void | SetVR (VR const &vr)
template<typename TDE, typename TSwap>
const std::ostream & | Write (std::ostream &os) const

## Additional Inherited Members
Protected Types inherited from gdcm::DataElement
typedef SmartPointer< Value > | ValuePtr
Protected Member Functions inherited from gdcm::DataElement
void | SetValueFieldLength (VL vl, bool readvalues)
Protected Attributes inherited from gdcm::DataElement
Tag | TagField
ValuePtr | ValueField
VL | ValueLengthField
VR | VRField

## Detailed Description

Class to read/write a DataElement as Explicit Data Element.

Note
  bla

Examples
  DumpSiemensBase64.cxx, DumpToshibaDTI.cxx, DumpToshibaDTI2.cxx, and ReadAndDumpDICOMDIR2.cxx.

## Member Function Documentation

## ◆ GetLength()

VL gdcm::ExplicitDataElement::GetLength | ( |  | ) | const

## ◆ Read()

template<typename TSwap>

std::istream & gdcm::ExplicitDataElement::Read | ( | std::istream & | is | ) |

## ◆ ReadPreValue()

template<typename TSwap>

std::istream & gdcm::ExplicitDataElement::ReadPreValue | ( | std::istream & | is | ) |

## ◆ ReadValue()

template<typename TSwap>

std::istream & gdcm::ExplicitDataElement::ReadValue | ( | std::istream & | is,
|  | bool | readvalues = true )

## ◆ ReadWithLength()

template<typename TSwap>

std::istream & gdcm::ExplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length )

## ◆ Write()

template<typename TSwap>

const std::ostream & gdcm::ExplicitDataElement::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmExplicitDataElement.h